<div class="container form-container">
  <div class="title-text">
    <strong>{{ pageTitile }}</strong>
  </div>
  <form class="form-panel" [formGroup]="teacherForm" (ngSubmit)="onSubmit()">
    <div class="form-group row">
      <label for="inputEmail3" class="col-sm-2 col-form-label">Full name</label>
      <div class="col-sm-10">
        <input
          type="text"
          class="form-control"
          id="inputEmail3"
          placeholder="Enter your full name"
          formControlName="fullName"
          name="fullName"
          [ngClass]="{
            'is-invalid': formErrors.fullName
          }"
          (blur)="logValidationErrors()"
        />
        <!-- here above blur is used because valuechanges method only changes if we change the value but -->
        <!-- if we donot change value and skipp that field then we'll not get error message so blur is used -->
        <span
          class="text-danger validation-messagesize"
          *ngIf="formErrors.fullName"
          >{{ formErrors.fullName }}</span
        >
      </div>
    </div>

    <fieldset class="form-group">
      <div class="row">
        <legend class="col-form-label col-sm-2 pt-0">Gender</legend>
        <div class="col-sm-10">
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="gender"
              id="gridRadios1"
              value="male"
              checked
              formControlName="gender"
            />
            <label class="form-check-label" for="gridRadios1">
              Male
            </label>
          </div>
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="gender"
              id="gridRadios2"
              value="female"
              formControlName="gender"
            />
            <label class="form-check-label" for="gridRadios2">
              Female
            </label>
          </div>
        </div>
      </div>
    </fieldset>

    <div class="form-group row">
      <label for="inputEmail3" class="col-sm-2 col-form-label">Address</label>
      <div class="col-sm-10">
        <input
          type="text"
          class="form-control"
          id="inputEmail3"
          placeholder="Enter your adress"
          formControlName="address"
          [ngClass]="{
            'is-invalid': formErrors.address
          }"
          (blur)="logValidationErrors()"
        />

        <span
          class="text-danger validation-messagesize"
          *ngIf="formErrors.address"
        >
          {{ formErrors.address }}
        </span>
      </div>
    </div>

    <div class="form-group row">
      <label for="inputPassword3" class="col-sm-2 col-form-label">Mobile</label>
      <div class="col-sm-10">
        <input
          type="text"
          class="form-control"
          id="inputPassword3"
          placeholder="eg. +9779836454768"
          formControlName="phoneNumber"
          [ngClass]="{
            'is-invalid': formErrors.phoneNumber
          }"
          (blur)="logValidationErrors()"
        />

        <span
          class="text-danger validation-messagesize"
          *ngIf="formErrors.phoneNumber"
          >{{ formErrors.phoneNumber }}</span
        >
      </div>
    </div>
    <div class="form-group row">
      <div class="col-sm-10">
        <button type="submit" class="btn btn-primary">
          {{ formSubmit }}
        </button>
      </div>
    </div>
  </form>
</div>
